from django.contrib import admin
from .models import Status, Task, Workflow, LogEntry, Configuration, Job, PostProcessingRule, Monitor, LatestMonitor

admin.site.register(Status)

@admin.register(Task)
class TaskAdmin(admin.ModelAdmin):
    ordering = ['-creationTime']
    search_fields = ['id','sas_id']


admin.site.register(Workflow)
admin.site.register(LogEntry)
admin.site.register(Configuration)
admin.site.register(Job)
admin.site.register(PostProcessingRule)
admin.site.register(Monitor)
admin.site.register(LatestMonitor)